# Packmangroup: Multimedia
# Packmanpackagename: dvdshrink
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>XDVDShrink is a project in BASH and Perl-Gtk2 that allows you to create fair-use archival copies of DVD content on single-layer writable DVDs. It ships with a Gtk2 front-end (for the front-end) making things a bit simpler.</p><ul><li>Command-line and graphical interface</li><li>Scriptable</li><li>Copy single movies</li><li>Copy multiple episodes</li><li>Selectable audio stream (AC3 only)</li><li>Option for one subtitle stream per DVD title</li></ul>
# Packmanpackagedesc_de: <p>XDVDShrink ist ein Projekt in BASH und Perl-Gtk2, welches es Ihnen erlaubt, &quot;Fair-Use&quot; Sicherheitskopien von Video-DVD Inhalten auf einlagigen beschreibbaren DVDs anzufertigen. Es enth&auml;lt einen Gtk2-front-end welcher die Sache etwas einfacher macht.</p><ul><li>Kommandozeile und grafisches Interface</li><li>steuerbar per Skript</li><li>Kopieren eines einzelnen Films</li><li>Kopieren mehrerer Episoden</li><li>Ausw&auml;hlbare Tonspuren (nur AC3)</li><li>Option f&uuml;r Untertitel Spuren pro DVD Titel</li></ul>

Name:           dvdshrink
Summary:        Gtk2-PERL and BASH scripts for archiving and copying DVD content
Summary(de):    Gtk2-Perl und BASH Skripte zum archivieren und kopieren von DVD Inhalten
Version:        2.6.1
Release:        pm152.12.4
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://dvdshrink.sourceforge.net/
Vendor:         Packman

Source0:        dvdshrink-2.6.1-10mdk.tar.bz2

BuildArch:      noarch
Requires:       perl-Glib
Requires:       perl-Gtk2
Requires:       transcode
Requires:       dvdauthor >= 0.6.14
Requires:       dvdbackup
Requires:       gocr
Requires:       mjpegtools >= 1.8.0
Requires:       subtitleripper
Requires:       /usr/bin/mkisofs
Requires:       dvd+rw-tools
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
XDVDShrink is a project in BASH and Perl-Gtk2 that allows you to create
fair-use archival copies of DVD content on single-layer writable DVDs.
It ships with a Gtk2 front-end (for the front-end) making things a bit
simpler.

*Command-line and graphical interface
*Scriptable
*Copy single movies
*Copy multiple episodes
*Selectable audio stream (AC3 only)
*Option for one subtitle stream per DVD title

%description
XDVDShrink ist ein Projekt in BASH und Perl-Gtk2, welches es Ihnen erlaubt,
"Fair-Use" Sicherheitskopien von Video-DVD Inhalten auf einlagigen
beschreibbaren DVDs anzufertigen. Es enthält einen Gtk2-front-end welcher
die Sache etwas einfacher macht.

*Kommandozeile und grafisches Interface
*steuerbar per Skript
*Kopieren eines einzelnen Films
*Kopieren mehrerer Episoden
*Auswählbare Tonspuren (nur AC3)
*Option für Untertitel Spuren pro DVD Titel

%prep
%setup -q -n %{name}

%build

%install
%{__mkdir_p} %{buildroot}/usr
cp -a usr/ %{buildroot}

%{__rm} -rf %{buildroot}/usr/share/applications/dvdshrink/32x32
%{__rm} -rf %{buildroot}/usr/share/applications/dvdshrink/64x64
%{__rm} -rf %{buildroot}/usr/share/doc

chmod 755 %{buildroot}%{_bindir}/dvdsfunctions

%{__mkdir_p} %{buildroot}/usr/share/pixmaps/
mv %{buildroot}/usr/share/icons/* %{buildroot}/usr/share/pixmaps/
chmod 644 %{buildroot}%{_datadir}/pixmaps/*
%suse_update_desktop_file -c xdvdshrink XDVDShrink "XDVDShrink - Video DVD shrinker" xdvdshrink.pl dvdshrink.xpm AudioVideo AudioVideoEditing


%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


%files
%defattr(-,root,root)
%doc usr/share/doc/dvdshrink/*
%{_bindir}/xdvdshrink.pl
%{_bindir}/dvdshrink
%{_bindir}/dvdsfunctions
%{_bindir}/batchrip.sh
%{_datadir}/applications/*
%{_datadir}/pixmaps/*


%changelog
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/mkisofs instead of just mkisofs [PM-112]
* Mon Sep  7 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> 
- 2.6.1-10.pm.1
- cleanups where rpmlint wasn't so happy
* Sun May  6 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 2.6.1-10
* Fri Mar 23 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added a patch from Karsten Boge to fix the problems with dvdauthor 0.6.14
* Sat Oct 21 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 2.6.1-8
* Wed Jul  5 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 2.6.1-7
* Fri Mar  3 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 2.6.1-6
* Wed Feb 22 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 2.6.1-4
* Sat Dec  3 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 2.6.1-3
* Thu Jul 28 2005 Quentin Denis <quentin@links2linux.de>
- initial package for SuSE
